# Fleet Documentation

Welcome to the documentation for the Kolide Fleet osquery fleet manager.

- If you're interested in using the `fleetctl` CLI to manage your osquery fleet, see the [CLI Documentation](./cli/README.md).
- Resources for deploying osquery to hosts, deploying the Fleet server, installing Fleet's infrastructure dependencies, etc. can all be found in the [Infrastructure Documentation](./infrastructure/README.md).
- If you are interested in accessing the Fleet REST API in order to programmatically interact with your osquery installation, please see the [API Documentation](./api/README.md).
- Information about using the Fleet web dashboard can be found in the [Dashboard Documentation](./dashboard/README.md).
- Architecturally significant decisions are documented in the [Architecture Documentation](./architecture/README.md).
- Finally, if you're interested in interacting with the Fleet source code, you will find information on modifying and building the code in the [Development Documentation](./development/README.md).

If you have any questions, please don't hesitate to [File a GitHub issue](https://github.com/kolide/fleet/issues) or [join us on Slack](https://osquery-slack.herokuapp.com/). You can find us in the `#kolide` channel.
